com.jscape.inet.ssh.protocol.v2.authentication

## Class KeyboardInteractiveConsoleClientAuthentication

- java.lang.Object
- - AbstractKeyboardInteractiveClientAuthentication
  - - com.jscape.inet.ssh.protocol.v2.authentication.KeyboardInteractiveConsoleClientAuthentication

-     public class KeyboardInteractiveConsoleClientAuthentication
      extends AbstractKeyboardInteractiveClientAuthentication

  Represents a SSH 'keyboard-interactive' authentication operation which uses a console for obtaining required authentication information.
  Author:
    Alex Usun

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyboardInteractiveConsoleClientAuthentication(MessageCodec.Factory codecFactory, java.lang.String username, Console console)` Creates a new operation instance.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KeyboardInteractiveConsoleClientAuthentication` | `systemConsoleAuthentication(MessageCodec.Factory codecFactory, java.lang.String username)` Returns an authentication operation which uses a system console.
    `static KeyboardInteractiveConsoleClientAuthentication` | `systemConsoleAuthentication(java.lang.String username)` Returns an authentication operation which uses a system console.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyboardInteractiveConsoleClientAuthentication

          public KeyboardInteractiveConsoleClientAuthentication(MessageCodec.Factory codecFactory,
                                                                java.lang.String username,
                                                                Console console)

      Creates a new operation instance.
      Parameters:
        `username` - an username
        `console` - console instance

  - ### Method Detail

    - #### systemConsoleAuthentication

          public static KeyboardInteractiveConsoleClientAuthentication systemConsoleAuthentication(MessageCodec.Factory codecFactory,
                                                                                                   java.lang.String username)

      Returns an authentication operation which uses a system console.
      Parameters:
        `username` - an username
      Returns:
        an authentication operation instance

    - #### systemConsoleAuthentication

          public static KeyboardInteractiveConsoleClientAuthentication systemConsoleAuthentication(java.lang.String username)

      Returns an authentication operation which uses a system console.
      Parameters:
        `username` - an username
      Returns:
        an authentication operation instance

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved